Open Infrastructure - Task #6414

Expose the console of the VM to the users (noVNC or spice)
01/30/2019 11:35 AM - Nico Schottelius

Status: Closed Start date: 01/30/2019
Priority: Normal Due date: 02/28/2019
Assignee: Mondi Ravi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

PM Check date: 02/10/2019

Description

¢ Requested by user: 2x
Version a) in Django:
¢ Either by indirection through opennebula
¢ Or using the tokens directly and exposing the vnc proxy to the user
¢ Need to checkout firewall for opening up
Version b) via sunstone:

¢ Or we grant limited access to sunstone (we could in theory just create a new view there)

| have the feeling version (b) could be easier, but ties us stronger to opennebula. Can you checkout which version is more feasible
from your point of view?

History

#1 - 02/09/2019 05:06 PM - Jason Kim
- PM Check date set to 02/10/2019

#2 - 06/25/2019 06:44 PM - Mirjana Rupar

Mondi Ravi, can you update the status of the task, please?
#3 - 06/25/2019 06:49 PM - Nico Schottelius

Update from my side:

we should go with guacamole for this

redmine@ungleich.ch writes:

#4 - 01/02/2024 02:17 PM - Nico Schottelius

- Status changed from New to Closed

via desktop.ungleich.ch
